Name:		kawaii-emoji-messenger
Version:	0.2.1beta1
Release:	%mkrel 1

Summary:	Kawaii Emoji Messenger
Group:		Networking/Chat
License:	GPLv3
URL:		http://kawaii-emoji-messenger.sourceforge.net/
Source:		http://kawaii-emoji-messenger.sourceforge.net/download/%{name}-%{version}.tar.xz
BuildRequires: desktop-file-utils
BuildRequires: cmake
BuildRequires: %{_lib}qt4-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot



%description
Kawaii Emoji Messenger is a multiplatform Facebook client based on
the idea of bringing emoji on desktop. Through Kawaii Emoji Messenger 
you can use a full set of emoji in you Facebook conversations, statuses 
and comments in the easiest way.


%prep
%setup -q


%build

%cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr ..

%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-InstantMessaging" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.md COPYING.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Thu Feb 13 2014 bb <bb> 0.2.1-0.beta1-1pclos2014
- update

* Wed Feb 12 2014 Ken <lxgator at gmail.com> 0.2beta1-1pclos2014
- Create pkg
